var langS = {
  'zh-cn' : '简体中文',
  'zh' : '简体中文',
  'en' : 'English',
  'en-us' : 'English',
  'ko' : '한국어',
  'ja' : '日本語'
}
var langicon = {
  '简体中文' : './images/chinese.png',
  'English' : './images/english.png',
  '한국어' : './images/korea.png',
  '日本語' : './images/japanese.png'
}

var timeZoneList = '<li value="Pacific/Kwajalein">(GMT-12:00) Eniwetok,Kwajalein</li>'+
'<li value="Pacific/Pago_Pago">(GMT-11:00) MidwayIsland,Samoa</li>'+
'<li value="Pacific/Honolulu">(GMT-10:00) Hawaii</li>'+
'<li value="America/Anchorage">(GMT-09:00) Alaska</li>'+
'<li value="America/Tijuana">(GMT-08:00) Pacific Time(US &amp; Canada); Tijuana</li>'+
'<li value="America/Phoenix">(GMT-07:00) Arizona</li>'+
'<li value="America/Edmonton">(GMT-07:00) Mountain Time(US &amp; Canada)</li>'+
'<li value="America/Winnipeg">(GMT-06:00) Central Time(US &amp; Canada)</li>'+
'<li value="America/Tegucigalpa">(GMT-06:00) Mexico City, Tegucigalpa</li>'+
'<li value="America/Regina">(GMT-06:00) Saskatchewan</li>'+
'<li value="America/Bogota">(GMT-05:00) Bogota, Lima, Quito</li>'+
'<li value="America/Toronto">(GMT-05:00) Eastern Time(US &amp; Canada)</li>'+
'<li value="America/Indiana">(GMT-05:00) Indiana(East)</li>'+
'<li value="America/Halifax">(GMT-04:00) Atlantic Time(Canada)</li>'+
'<li value="America/Caracas">(GMT-04:00) Caracas, La Paz</li>'+
'<li value="America/Santiago">(GMT-04:00) Santiago</li>'+
'<li value="Canada/Newfoundland">(GMT-03:30) Newfoundland</li>'+
'<li value="Brazil/East">(GMT-03:00) Brasilia</li>'+
'<li value="Brazil/East">(GMT-03:00) Buenos Aires, Georgetown</li>'+
'<li value="Atlantic/South_Georgia">(GMT-02:00) Mid-Atlantic</li>'+
'<li value="Atlantic/Azores">(GMT-01:00) Azores, Cape Verde Is.</li>'+
'<li value="Africa/Casablanca">(GMT) Casablanca, Monrovia</li>'+
'<li value="Europe/London">(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London</li>'+
'<li value="Europe/Amsterdam">(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna</li>'+
'<li value="Europe/Belgrade">(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague</li>'+
'<li value="Europe/Brussels">(GMT+01:00) Brussels, Copenhagen, Madrid, Paris, Vilnius</li>'+
'<li value="Europe/Warsaw">(GMT+01:00) Sarajevo, Skopje, Sofija, Warsaw, Zagreb</li>'+
'<li value="Europe/Athens">(GMT+02:00) Athens, Istanbul, Minsk</li>'+
'<li value="Europe/Bucharest">(GMT+02:00) Bucharest</li>'+
'<li value="Africa/Cairo">(GMT+02:00) Cairo</li>'+
'<li value="Africa/Harare">(GMT+02:00) Harare, Pretoria</li>'+
'<li value="Europe/Helsinki">(GMT+02:00) Helsinki, Riga, Tallinn</li>'+
'<li value="Europe/Helsinki">(GMT+02:00) Israel</li>'+
'<li value="Asia/Baghdad">(GMT+03:00) Baghdad, Kuwait, Riyadh</li>'+
'<li value="Europe/Moscow">(GMT+03:00) Moscow, St. Petersburg, Volgograd</li>'+
'<li value="Africa/Nairobi">(GMT+03:00) Nairobi</li>'+
'<li value="Asia/Tehran">(GMT+03:30) Tehran</li>'+
'<li value="Asia/Baku">(GMT+04:00) Abu Dhabi, Muscat</li>'+
'<li value="Asia/Baku">(GMT+04:00) Baku, Tbilisi</li>'+
'<li value="Asia/Kabul">(GMT+04:30) Kabul</li>'+
'<li value="Asia/Yekaterinburg">(GMT+05:00) Eekaterinburg</li>'+
'<li value="Asia/Karachi">(GMT+05:00) Islamabad, Karachi, Tashkent</li>'+
'<li value="Asia/Calcutta">(GMT+05:30) Bombay, Calcutta, Madras, New Delhi</li>'+
'<li value="Asia/Almaty">(GMT+06:00) Almaty, Dhaka</li>'+
'<li value="Asia/Colombo">(GMT+06:00) Colombo</li>'+
'<li value="Asia/Bangkok">(GMT+07:00) Bangkok, Hanoi, Jakarta</li>'+
'<li value="Asia/Shanghai">(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi</li>'+
'<li value="Australia/Perth">(GMT+08:00) Perth</li>'+
'<li value="Asia/Singapore">(GMT+08:00) Singapore</li>'+
'<li value="Asia/Taipei">(GMT+08:00) Taipei</li>'+
'<li value="Asia/Tokyo">(GMT+09:00) Osaka, Sapporo, Tokyo</li>'+
'<li value="Asia/Seoul">(GMT+09:00) Seoul</li>'+
'<li value="Asia/Yakutsk">(GMT+09:00) Yakutsk</li>'+
'<li value="Australia/Adelaide">(GMT+09:30) Adelaide</li>'+
'<li value="Australia/Darwin">(GMT+09:30) Darwin</li>'+
'<li value="Australia/Brisbane">(GMT+10:00) Brisbane</li>'+
'<li value="Australia/Melbourne">(GMT+10:00) Canberra, Melbourne, Sydney</li>'+
'<li value="Pacific/Guam">(GMT+10:00) Guam, Port Moresby</li>'+
'<li value="Australia/Hobart">(GMT+10:00) Hobart</li>'+
'<li value="Asia/Vladivostok">(GMT+10:00) Vladivostok</li>'+
'<li value="Asia/Magadan">(GMT+11:00) Magadan, Solomon Is., New Caledonia</li>'+
'<li value="Pacific/Auckland">(GMT+12:00) Auckland, Wellington</li>'



var timeZoneData = {
  "Pacific/Kwajalein" : "(GMT-12:00) Eniwetok,Kwajalein",
  "Pacific/Pago_Pago":"(GMT-11:00) MidwayIsland,Samoa",
  "Pacific/Honolulu" : "(GMT-10:00) Hawaii",
  "America/Anchorage" : "(GMT-09:00) Alaska",
  "America/Tijuana":"(GMT-08:00) Pacific Time(US&amp;Canada); Tijuana",
  "America/Phoenix" : "(GMT-07:00)Arizona",
  "America/Edmonton" : "(GMT-07:00)MountainTime(US&amp;Canada)",
  "America/Winnipeg":"(GMT-06:00)CentralTime(US&amp;Canada)",
  "America/Tegucigalpa" : "(GMT-06:00)MexicoCity,Tegucigalpa",
  "America/Regina" : "(GMT-06:00)Saskatchewan",
  "America/Bogota" : "(GMT-05:00)Bogota,Lima,Quito",
  "America/Toronto" : "(GMT-05:00)EasternTime(US&amp;Canada)",
  "America/Indiana" : "(GMT-05:00)Indiana(East)",
  "America/Halifax" : "(GMT-04:00)AtlanticTime(Canada)",
  "America/Caracas" : "(GMT-04:00)Caracas,LaPaz",
  "America/Santiago" : "(GMT-04:00)Santiago",
  "Canada/Newfoundland" : "(GMT-03:30)Newfoundland",
  "Brazil/East" : "(GMT-03:00)Brasilia",
  "Atlantic/South_Georgia" : "(GMT-02:00)Mid-Atlantic",
  "Atlantic/Azores" : "(GMT-01:00)Azores,CapeVerdeIs.",
  "Africa/Casablanca" : "(GMT)Casablanca,Monrovia",
  "Europe/London" : "(GMT)GreenwichMeanTime:Dublin,Edinburgh,Lisbon,London",
  "Europe/Amsterdam" : "(GMT+01:00)Amsterdam,Berlin,Bern,Rome,Stockholm,Vienna",
  "Europe/Belgrade" : "(GMT+01:00)Belgrade,Bratislava,Budapest,Ljubljana,Prague",
  "Europe/Brussels" : "(GMT+01:00)Brussels,Copenhagen,Madrid,Paris,Vilnius",
  "Europe/Warsaw" : "(GMT+01:00)Sarajevo,Skopje,Sofija,Warsaw,Zagreb",
  "Europe/Athens" : "(GMT+02:00)Athens,Istanbul,Minsk",
  "Europe/Bucharest" : "(GMT+02:00)Bucharest ",
  "Africa/Cairo" : "(GMT+02:00)Cairo",
  "Africa/Harare" : "(GMT+02:00)Harare,Pretoria",
  "Europe/Helsinki" : "(GMT+02:00)Helsinki,Riga,Tallinn",
  "Asia/Baghdad" : "(GMT+03:00)Baghdad,Kuwait,Riyadh",
  "Europe/Moscow" : "(GMT+03:00)Moscow,St.Petersburg,Volgograd",
  "Africa/Nairobi" : "(GMT+03:00)Nairobi",
  "Asia/Tehran" : "(GMT+03:30)Tehran",
  "Asia/Baku" : "(GMT+04:00)Baku,Tbilisi",
  "Asia/Kabul" : "(GMT+04:30)Kabul",
  "Asia/Yekaterinburg" : "(GMT+05:00)Eekaterinburg",
  "Asia/Karachi" : "(GMT+05:00)Islamabad,Karachi,Tashkent",
  "Asia/Calcutta" : "(GMT+05:30)Bombay,Calcutta,Madras,NewDelhi",
  "Asia/Almaty" : "(GMT+06:00)Almaty,Dhaka",
  "Asia/Colombo" : "(GMT+06:00)Colombo",
  "Asia/Bangkok" : "(GMT+07:00)Bangkok,Hanoi,Jakarta",
  "Asia/Shanghai" : "(GMT+08:00)Beijing,Chongqing,HongKong,Urumqi",
  "Australia/Perth" : "(GMT+08:00)Perth",
  "Asia/Singapore" : "(GMT+08:00)Singapore",
  "Asia/Taipei" : "(GMT+08:00)Taipei",
  "Asia/Tokyo" : "(GMT+09:00)Osaka,Sapporo,Tokyo",
  "Asia/Seoul" : "(GMT+09:00)Seoul",
  "Asia/Yakutsk" : "(GMT+09:00)Yakutsk",
  "Australia/Adelaide" : "(GMT+09:30)Adelaide",
  "Australia/Darwin" : "(GMT+09:30)Darwin",
  "Australia/Brisbane" : "(GMT+10:00)Brisbane",
  "Australia/Melbourne" : "(GMT+10:00)Canberra,Melbourne,Sydney",
  "Pacific/Guam" : "(GMT+10:00)Guam,PortMoresby",
  "Australia/Hobart" : "(GMT+10:00)Hobart",
  "Asia/Vladivostok" : "(GMT+10:00)Vladivostok",
  "Asia/Magadan" : "(GMT+11:00)Magadan,SolomonIs.,NewCaledonia",
  "Pacific/Auckland" : "(GMT+12:00)Auckland,Wellington"
}

// (GMT-03:00)BuenosAires,Georgetown
// (GMT+02:00)Israel
// (GMT+04:00)AbuDhabi,Muscat
