var page_index = 0;
var setingprogress = document.getElementById("jv-progress");
var progressChart = echarts.init(setingprogress);
var hostnameold = '';
var timing = null;
var installertime = null;
var version_is = 0;
//语言选择
function showLangs() {
  var ev = window.event || arguments.callee.caller.arguments[0];
  ev.stopPropagation();
  jQuery('#jv-showLangList').html('');
  for (var i = 0; i < UNAS.SupportedLanguages.length; i++) {
    var tmpLang = UNAS.SupportedLanguages[i];
    var mi = document.createElement("li");
    var langdom = '<img src=' + langicon[tmpLang] + ' alt="">' + '<span>' + tmpLang + '</span>';
    jQuery(mi).html(langdom);
    jQuery('#jv-showLangList').append(mi);

    mi.onclick = function(em) {
      em.stopPropagation();
      var lan = jQuery(this).find('span').text();
      jQuery('#jv-currentLang').text(lan);
      jQuery('#jv-langicon').attr('src', langicon[lan]);
      jQuery('#jv-showLangList').slideUp();

      var exp = new Date();
      exp.setTime(exp.getTime() + (86400 * 1000 * 30));
      document.cookie = "login_lang=" + window.btoa(escape(lan)) + "; expires=" + exp
        .toGMTString() + "; path=/";

      UNAS.CurrentLanguage = lan;
      UNAS.Event.fireEvent('ChangeLanguage');
    }
  }

  jQuery('#jv-showLangList').slideToggle();

  document.onclick = function(e) {
    e.stopPropagation();
    jQuery('#jv-showLangList').slideUp();
  }
}

//时区选择
function selectTimeZone() {
  var ev = window.event || arguments.callee.caller.arguments[0];
  ev.stopPropagation();

  jQuery('#jv-timeZoneSHost li').on('click', function(em) {
    em.stopPropagation();
    var op = jQuery(this).text();
    var value = jQuery(this).attr('value');
    jQuery('#jv-currentTimeZone').text(op).attr('value', value);

    jQuery('#jv-timeZoneSHost').slideUp();
  })

  jQuery('#jv-timeZoneSHost').slideToggle();

  document.onclick = function(e) {
    e.stopPropagation();
    jQuery('#jv-timeZoneSHost').slideUp();
  }
}
//开始设置
function startSetup() {
  jQuery('#jv-welcome-page').hide();
  jQuery('#jv-showLanList').hide();
  updateSetup(page_index);
  if (version_is) {
    jQuery('#jv-next').removeClass('disabledOp');
  }else {
    jQuery('#jv-next').addClass('disabledOp');
  }
}

function updateSetup(pi) {
  jQuery('.page').hide();
  jQuery('#jv-page-' + pi).show();

  if (pi > 0) {
    jQuery('#jv-prev').show();
  } else {
    jQuery('#jv-next').show();
  }

  if (!page_index) {
    jQuery('#jv-prev').hide();
  }

  if (jQuery('div[type=setoverview]').is(':visible')) {
    jQuery('#jv-next').attr('onClick', 'finishSetting()').addClass('finishbtn').text(UNAS._('Complete', UNAS.CurrentLanguage));
    jQuery('#jv-NASname-qr').text(jQuery('#jv-NASname').val());
    jQuery('#jv-password-qr').val(jQuery('#jv-password').val());

    jQuery('#jv-timeZone-qr').text(jQuery('#jv-currentTimeZone').text()).attr('value', jQuery('#jv-currentTimeZone').attr('value'));
    jQuery('#jv-date-qr').text(jQuery('#regional_options_manager_date').val());
    var time = jQuery('#jv-timehour').val() + ":" + jQuery('#jv-timeminute').val() + ":" + jQuery('#jv-timeseconds').val()
    jQuery('#jv-time-qr').text(time);
    timezone_change();
  } else {
    jQuery('#jv-next').attr('onClick', 'nextStep()').removeClass('finishbtn').text(UNAS._('Next', UNAS.CurrentLanguage));
  }

  if (jQuery('div[type=settimeZone]').is(':visible')) {
    timezone_acquit();
  }
  if (jQuery('div[type=adminaccount]').is(':visible')) {
    if (!jQuery('#jv-repassword').val()) {
      jQuery('#jv-next').addClass('disabledOp');
    }
  } else {
    jQuery('#jv-next').removeClass('disabledOp');
  }

}

// 下一步
function nextStep() {
  if (page_index == 3) {
    page_index = 3;
    return;
  }
  page_index++;

  updateSetup(page_index);
}

// 上一步
function prevStep() {
  if (page_index == 0) {
    page_index = 0;
    return;
  }
  page_index--;

  updateSetup(page_index);

}

//编辑账号密码
function editAccount() {
  jQuery('.page').hide();
  page_index = 1;
  updateSetup(page_index);
}
//日期与时间
function editDateTiem() {
  jQuery('.page').hide();
  page_index = 2;
  updateSetup(page_index);
}

//完成设置
function finishSetting() {
  jQuery('#jv-box').show();
}

function closeBox() {
  jQuery('#jv-box').hide();
}
// 确认完成设置
function confirmedSet() {
  jQuery('#jv-box').hide();
  jQuery('#jv-next').attr('onClick', 'nextStep()').removeClass('finishbtn').text(UNAS._('Next', UNAS.CurrentLanguage));
  jQuery('#jv-next').hide();
  jQuery('#jv-prev').hide();

  jQuery('.page').hide();
  page_index = 0;
  jQuery('#jv-setting').show();


  // if (jQuery('#jv-latestVersion input').prop('checked')) {
  //   uupgrade_update().then(function() {
  //     installer_progress();
  //     jQuery('#jv-settingwarning').text(UNAS._('Do not power off the device when the system is being installed and configured. It is expected to take several minutes...'), UNAS.CurrentLanguage);
  //   })
  // } else {
  //   setprogress();
  //   jQuery('#jv-settingwarning').text(UNAS._('The system is being installed and configured. Please do not turn off the device'), UNAS.CurrentLanguage);
  // }

  setprogress();
  jQuery('#jv-settingwarning').text(UNAS._('The system is being installed and configured. Please do not turn off the device'), UNAS.CurrentLanguage);


  user_pwdreset();

  if (jQuery('#jv-NASname-qr').text() != hostnameold) {
    hostname_change(jQuery('#jv-NASname-qr').text())
  }
}

// 设置进度
function setprogress() {
  var p = 0;
  var ptime = setInterval(function() {
    if (p >= 100) {
      p = 100;
      clearInterval(ptime);

      oobe_already();

    }
    progressChart.setOption({
      series: [{
        data: [p]
      }]
    });
    p = p + (Math.floor(Math.random() * 10 - 0) + 0);
  }, 1000)
}
//
function checkboximg() {
  var ev = window.event || arguments.callee.caller.arguments[0];
  ev.stopPropagation();
  var t = jQuery(ev.target);
  if (parseInt(t.attr('sel'))) {
    t.attr('src', './images/guide_noselected.png');
    t.attr('sel', '0');
    jQuery('.date-sel-itme').removeClass('disabledOp');
    jQuery('#regional_options_manager_date').attr('disabled', false);
  } else {
    t.attr('src', './images/guide_selected.png');
    t.attr('sel', '1');
    jQuery('.date-sel-itme').addClass('disabledOp');
    jQuery('#regional_options_manager_date').attr('disabled', true);
  }
}

function upgrade_localversion(){
  jQuery('#jv-next').addClass('disabledOp');
  jQuery('#jv-v-loading').show();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: 'POST',
    async: true,
    dataType: 'json',
    timeout: 5000,
    contentType: 'application/json;charset=utf-8',
    data: JSON.stringify({
      cmd: 'upgrade_localversion'
    }),
    success: function(data) {
      jQuery('#jv-currentVersion .v-number').text(data.results.version);
    },
    complete: function(XMLHttpRequest, textStatus) {
      uupgrade_check();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {

    }
  });
}

//检测版本号
function uupgrade_check() {

  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    timeout: 120000,
    dataType: 'json',
    contentType: 'application/json',
    data: JSON.stringify({
      "cmd": "upgrade_latestversion"
    }),
    success: function(data) {
      version_is = 1;
      jQuery('#jv-next').removeClass('disabledOp');
      jQuery('#jv-currentVersion .v-number').text(data.results.localversion);
      if ( data.results.update > 0 ) {
        jQuery('#jv-latestversion-item').removeClass('disabledOp');
        jQuery('#jv-latestversion-item input').prop('checked', true);
        jQuery('#jv-latestversion .v-number').text(data.results.latestversion);
        jQuery('#jv-currentlatest').hide();
        jQuery('#jv-latestversion').show();
      } else {
        jQuery('#jv-currentVersion input').prop('checked', true);
        jQuery('#jv-currentlatest').show();
        jQuery('#jv-latestversion').hide();
      }
      jQuery('#jv-v-loading').hide();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      systemUpgradeShowError('An error was encountered, please refresh the page and try again.');
    }
  });

}


function installer_progress() {
  jQuery.ajax({
    url: "/desktop/guide/includes/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "installer_progress"
    }),
    success: function(data) {},
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function(XMLHttpRequest) {
      var data = XMLHttpRequest.responseJSON;
      var upgradesrate = data.results.upgradesrate || 1;
      progressChart.setOption({
        series: [{
          data: [upgradesrate]
        }]
      });
      if (data.results.step != 0) {
        clearTimeout(installertime);
        installertime = setTimeout(function() {
          installer_progress();
        }, 2500);
      } else {
        if (data.results.upgradesrate == 100) {
          clearTimeout(installertime);
          oobe_already();
        } else {
          installertime = setTimeout(function() {
            installer_progress();
          }, 2500);
        }
      }
    }
  });
}

//升级版本
function uupgrade_update() {
  return new Promise(function(resolve, reject) {
    jQuery.ajax({
      url: "/desktop/guide/includes/index.php",
      type: "POST",
      dataType: 'json',
      contentType: "application/json;charset=utf-8",
      data: JSON.stringify({
        "cmd": "uupgrade_update"
      }),
      success: function(data) {},
      error: function(XMLHttpRequest, textStatus, errorThrown) {},
      complete: function() {
        resolve();
      }
    });
  })
}

//修改nas名称
function hostname_change(name) {
  return new Promise(function(resolve, reject) {
    jQuery.ajax({
      url: "/wmi/index.php",
      type: "POST",
      dataType: 'json',
      contentType: "application/json;charset=utf-8",
      data: JSON.stringify({
        "cmd": "hostname_change",
        "params": {
          "hostname": name
        }
      }),
      success: function(data) {
        resolve();
      },
      error: function(XMLHttpRequest, textStatus, errorThrown) {},
      complete: function() {

      }
    });
  })
}

//修改密码
function user_pwdreset() {
  var new_pwd = jQuery.trim(jQuery('#jv-password').val());
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "unas_publickey"
    }),
    success: function(result) {
      var encrypt = new JSEncrypt();
      encrypt.setPublicKey(result.results.publickey);
      new_pwd = encrypt.encrypt(new_pwd);
      new_pwd = new_pwd.replace(/\+/g, '%2B');

      jQuery.ajax({
        url: "/wmi/index.php",
        type: "POST",
        dataType: 'json',
        contentType: "application/json;charset=utf-8",
        data: JSON.stringify({
          "cmd": "user_pwdreset",
          "params": {
            "uid": 'admin',
            "pwd": new_pwd
          }
        }),
        success: function(data) {
          if (data.err == 0) {

          }
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {},
        complete: function() {

        }
      });

    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {

    }
  });
}
//修改时区
function timezone_change() {

  var datetime = jQuery('#jv-date-qr').text() + ' ' + jQuery('#jv-time-qr').text();
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "timezone_change",
      "params": {
        "timezone": jQuery('#jv-timeZone-qr').attr('value'),
        "synchronized": +jQuery('#jv-syncInternet').attr('sel'),
        "datetime": datetime
      }
    }),
    success: function(data) {
      if (data.err == 0) {

      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {

    }
  });
}

// 获取当前机器名
function hostname_acquit() {
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "hostname_acquit",
    }),
    success: function(data) {
      if (data.err == 0) {
        var res = data.results;
        hostnameold = res.hostname;
        jQuery('#jv-NASname').val(res.hostname);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {

    }
  });
}
// 获取机器型号
function model_acquit() {
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "model_acquit",
    }),
    success: function(data) {
      if (data.err == 0) {
        var res = data.results;
        jQuery('#jv-deviceModel').text(res.model);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {

    }
  });
}

//获取当前时区及系统时间
function timezone_acquit() {
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "timezone_acquit",
    }),
    success: function(data) {
      if (data.err == 0) {
        var res = data.results;
        var datetime = res.datetime.split(' ');
        var date = datetime[0];
        var time = datetime[1].split(':');
        jQuery('#regional_options_manager_date').val(date);
        jQuery('#jv-timeZoneSHost').children().each(function(i, e) {
          if (res.timezone == jQuery(e).attr('value')) {
            jQuery('#jv-currentTimeZone').text(jQuery(e).text()).attr('value', jQuery(e).attr('value'));
          }
        })

        var hour = time[0];
        var minute = time[1];
        var seconds = time[2];
        jQuery('#jv-timehour').val(hour);
        jQuery('#jv-timeminute').val(minute);
        jQuery('#jv-timeseconds').val(seconds);
        jQuery('#jv-timehour').attr('oninput', "if(!/^[0-9]+$/.test(value)) value=value.replace(/\D/g,'');if(value>23)value=0;if(value<0 || value == '00')value=23 ;if(parseInt(this.value,10)<10)this.value='0'+this.value; ");
        jQuery('#jv-timeminute').attr('oninput', "if(!/^[0-9]+$/.test(value)) value=value.replace(/\D/g,'');if(value>59)value=0;if(value<0 || value == '00')value=59;if(parseInt(this.value,10)<10)this.value='0'+this.value;");
        jQuery('#jv-timeseconds').attr('oninput', "if(!/^[0-9]+$/.test(value)) value=value.replace(/\D/g,'');if(value>59)value=0;if(value<0 || value == '00')value=59;if(parseInt(this.value,10)<10)this.value='0'+this.value;");

        if (res.synchronized) {
          jQuery('#jv-syncInternet').attr('src', './images/guide_selected.png');
          jQuery('#jv-syncInternet').attr('sel', '1');
          jQuery('.date-sel-itme').addClass('disabledOp');
          jQuery('#regional_options_manager_date').attr('disabled', true);
        } else {
          jQuery('#jv-syncInternet').attr('src', './images/guide_noselected.png');
          jQuery('#jv-syncInternet').attr('sel', '0');
          jQuery('.date-sel-itme').removeClass('disabledOp');
          jQuery('#regional_options_manager_date').attr('disabled', false);
        }

      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {

    }
  });
}


jQuery('#jv-password').keyup(function() {
  jQuery(this).val(jQuery(this).val().replace(/\s+/g, ''));
  checkPassword()
});

jQuery('#jv-repassword').keyup(function() {
  jQuery(this).val(jQuery(this).val().replace(/\s+/g, ''));
  checkPassword()
});

function checkPassword() {
  var password = jQuery('#jv-password').val();
  var repassword = jQuery('#jv-repassword').val();
  if (password.length > 32) {
    jQuery("#jv-password_warning").text(UNAS._('The limit is 32 characters')).css('display', 'inline-block');
  } else {
    jQuery("#jv-password_warning").text('').css('display', 'none');
  }
  if (repassword == '') {
    return;
  }
  if (password != repassword) {
    jQuery("#jv-password_warning").text(UNAS._('The two passwords are not consistent with each other!')).css('display', 'inline-block');
    jQuery('#jv-next').addClass('disabledOp');
  } else {
    jQuery("#jv-password_warning").text('').css('display', 'none');
    jQuery('#jv-next').removeClass('disabledOp');
  }
}

function oobe_already() {
  return new Promise(function(resolve, reject) {
    jQuery.ajax({
      url: "/wmi/index.php",
      type: "POST",
      dataType: 'json',
      contentType: "application/json;charset=utf-8",
      data: JSON.stringify({
        "cmd": "oobe_already"
      }),
      success: function(data) {
        resolve();

        jQuery('.page').hide();
        page_index = 0;
        jQuery('#jv-setupcomplete').show();

        timing = setInterval(function() {
          var num = jQuery('#jv-timing').text();
          num--
          jQuery('#jv-timing').text(num);
          if (num == 0) {
            clearInterval(timing);
            jQuery('#jv-timeset').hide();
            oobe_reboot();
          }
        }, 1000)

      },
      error: function(XMLHttpRequest, textStatus, errorThrown) {},
      complete: function() {

      }
    });
  })
}


// 重启系统
function oobe_reboot() {

  jQuery.ajax({
    url: "/desktop/guide/includes/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "oobe_reboot",
      "params" : {
        "upgrade" : jQuery('#jv-latestVersion-item input').prop('checked') ? 1 : 0
      }
    }),
    success: function(data) {
      jQuery('#jv-rebootbtn').hide();
      clearInterval(timing);
      if (data.err == 0) {
        window.location.href = "/desktop/logout.php?action=logout";
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {}
  });
}


function check_oobe() {

  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "oobe_active"
    }),
    success: function(data) {
      if (data.err == 0) {
        // window.location.href = "/desktop/admin.html";
      } else {

      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {},
    complete: function() {}
  });
}

//页面加载
jQuery(document).ready(function() {

  check_oobe()
  hostname_acquit();
  model_acquit();
  upgrade_localversion();

  var chartOption = {
    series: [{
      type: 'gauge',
      startAngle: -270,
      endAngle: 90,
      min: 0,
      max: 100,
      // splitNumber: 10,
      center: ['50%', '50%'],
      radius: '100%',
      itemStyle: {
        color: '#899AEB',
      },
      progress: {
        show: true,
        width: 14,
      },
      axisLine: {
        color: '#F1F1F1',
        lineStyle: {
          width: 14,
        }
      },
      axisTick: {
        show: false
      },
      pointer: {
        show: false
      },
      splitLine: {
        show: false,
      },
      axisLabel: {
        show: false
      },
      detail: {
        offsetCenter: [10, '0%'],
        valueAnimation: true,
        formatter: function(value) {
          return '{value|' + value + '}' + '{per|%}';
        },
        rich: {
          value: {
            fontSize: 45,
            color: '#fff'
          },
          per: {
            fontSize: 21,
            color: '#fff'
          }
        }
      },
      data: [0]
    }]
  };

  progressChart.setOption(chartOption, true);

})
